Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 26 Oct 2022 16:43:28 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Regarding my order number 9591633338, I submitted the order because I was happy about the amount I will pay for tabby and delivery time, which was Monday 24th October.

Today its 26th and nothing is delivered + the amount I will pay for tabby increased because 1 item was cancelled . This is so disappointing since no one contacted me to explain the payment change and why delivery is so late ??!! this is a pure disrespect for customers why don't you follow the time you promised you customers to deliver their items ?!

I contacted customer service twice and still, this is the worst service ever !! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5055829